Subject: Handle @InheritanceType in a correct manner
Description

If a model is extended the base class needs to be annotated with InheritanceType. Problem is that we don't know which classes will
ever be extended, and Doctrine throws an error when the InheritanceType is set without discriminator map:

Uncaught Exception in FLOW3 Entity class 'F3\FLOW3\Security\Account' is using inheritance but no discriminator map was defined.
thrown in file .../ORM/Mapping/MappingException.php in line 202

In such cases the annotation must be ignored by our annotation driver, or the IneritanceType should be set automagically if FLOW3
detects that a model is extended.

Relates to: https://review.typo3.org/#change,2130

Related issues:
related to TYPO3.Flow - Feature # 37372: Inheritance in ORM should be configu... Accepted 2012-05-21

Associated revisions
Revision f08339dc - 2012-11-08 21:59 - Karsten Dambekalns

[TASK] Handle InheritanceType annotation more robust

When specifying InheritanceType but no heirs exist, no longer
an exception will be thrown. Instead inheritance will be disabled
to allow specifying InheritanceType "for future use".

Change-Id: I113a2263433f50344d19ee750c3438467d54109e
Resolves: #27283
Releases: 1.2

History
#1 - 2011-06-07 20:20 - Rens Admiraal
- Category set to Persistence

#2 - 2012-04-30 11:28 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.1
- Has patch set to No

#3 - 2012-04-30 11:41 - Karsten Dambekalns
https://review.typo3.org/#change,2130


This works for non-abstract base classes since the merge of https://review.typo3.org/2277 (as the discriminator map is always defined).

#4 - 2012-04-30 13:13 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10893

#5 - 2012-04-30 16:18 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10893

#6 - 2012-05-16 16:18 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 beta 2

#7 - 2012-05-30 12:53 - Karsten Dambekalns
- Target version changed from 1.1 beta 2 to 2.0 beta 1

#8 - 2012-05-30 12:55 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10893

#9 - 2012-11-08 15:18 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10893

#10 - 2012-11-08 22:01 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10893

#11 - 2012-12-12 09:17 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
